package org.starobjects.restful.viewer;


import org.starobjects.restful.applib.providers.StringApplicationXhtmlXmlProvider;
import org.starobjects.restful.viewer.resources.HomePageResourceImpl;
import org.starobjects.restful.viewer.resources.objects.ObjectResourceImpl;
import org.starobjects.restful.viewer.resources.services.ServicesResourceImpl;
import org.starobjects.restful.viewer.resources.specs.SpecsResourceImpl;
import org.starobjects.restful.viewer.resources.user.UserResourceImpl;

public class RestfulApplication extends AbstractJaxRsApplication {

	public RestfulApplication() {
    	addSingleton(new HomePageResourceImpl());
    	addSingleton(new ObjectResourceImpl());
    	addSingleton(new ServicesResourceImpl());
    	addSingleton(new SpecsResourceImpl());
    	addSingleton(new UserResourceImpl());
    	
    	addClass(StringApplicationXhtmlXmlProvider.class);
    }

}
