package org.starobjects.restful.viewer.facets;

import nu.xom.Element;

import org.nakedobjects.metamodel.facets.Facet;
import org.nakedobjects.metamodel.interactions.DisablingInteractionAdvisor;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnFacetDisabling extends TableColumnFacet {
    public TableColumnFacetDisabling(final ResourceContext resourceContext) {
        super("Disabling", resourceContext);
    }

    @Override
    public Element doTd(final Facet facet) {
        return xhtmlRenderer.p(facet instanceof DisablingInteractionAdvisor, null);
    }
}
