package org.starobjects.restful.viewer.facets;

import nu.xom.Element;

import org.nakedobjects.metamodel.facets.Facet;
import org.nakedobjects.metamodel.java5.ImperativeFacetUtils;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnFacetIsImperative extends TableColumnFacet {
    public TableColumnFacetIsImperative(final String headerText, final ResourceContext resourceContext) {
        super(headerText, resourceContext);
    }

    @Override
    public Element doTd(final Facet facet) {
        return xhtmlRenderer.p(ImperativeFacetUtils.isImperativeFacet(facet), null);
    }
}
