package org.starobjects.restful.viewer.html;

public final class HtmlClass {

    public static final String SECTION = "nof-section";

    public static final String FACETS = "nof-facets";
    public static final String FACET = "nof-facet";
    public static final String FACET_ELEMENTS = "nof-facet-elements";
    public static final String FACET_ELEMENT = "nof-facet-element";

    public static final String SPECIFICATIONS = "nof-specifications";
    public static final String SPECIFICATION = "nof-specification";
    public static final String PROPERTIES = "nof-properties";
    public static final String PROPERTY = "nof-property";
    public static final String COLLECTIONS = "nof-collections";
    public static final String COLLECTION = "nof-collection";
    public static final String ACTIONS = "nof-actions";
    public static final String ACTION = "nof-action";
    public static final String SERVICES = "nof-services";
    public static final String SERVICE = "nof-service";
    public static final String RESOURCES = "nof-resources";
    public static final String RESOURCE = "nof-resource";

    public static final String SESSION = "nof-session";
    public static final String USER = "nof-user";
    public static final String ROLES = "nof-roles";
    public static final String ROLE = "nof-role";

    public static final String TITLE = "nof-title";
    public static final String OID = "nof-oid";
    public static final String ACTION_RESULT = "nof-action-result";

    public static final String VISIBLE = "nof-visible";
    public static final String USABLE = "nof-usable";
    public static final String VALID = "nof-valid";

    private HtmlClass() {}

}
