package org.starobjects.restful.viewer.resources.objects;

import nu.xom.Element;

import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.NakedObjectMember;
import org.starobjects.restful.viewer.html.HtmlClass;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnNakedObjectMemberDisabled<T extends NakedObjectMember> extends TableColumnNakedObjectMember<T> {

    public TableColumnNakedObjectMemberDisabled(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super("Disabled", session, nakedObject, resourceContext);
    }

    @Override
    public Element doTd(final T member) {
        final boolean disabled = !member.isUsable(getSession(), getNakedObject()).isAllowed();
        return xhtmlRenderer.p(disabled, HtmlClass.USABLE);
    }
}
