package org.starobjects.restful.viewer.resources.objects;

import nu.xom.Element;

import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.NakedObjectMember;
import org.starobjects.restful.viewer.html.HtmlClass;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnNakedObjectMemberHidden<T extends NakedObjectMember> extends TableColumnNakedObjectMember<T> {

    public TableColumnNakedObjectMemberHidden(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super("Hidden", session, nakedObject, resourceContext);
    }

    @Override
    public Element doTd(final T member) {
        final boolean hidden = !member.isVisible(getSession(), getNakedObject()).isAllowed();
        return xhtmlRenderer.p(hidden, HtmlClass.VISIBLE);
    }
}
