package org.starobjects.restful.viewer.resources.objects;


import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.NakedObjectSpecification;
import org.nakedobjects.metamodel.spec.feature.NakedObjectMember;
import org.starobjects.restful.viewer.xom.ResourceContext;


public abstract class TableColumnNakedObjectMemberName<T extends NakedObjectMember> extends TableColumnNakedObjectMember<T> {
    private final NakedObjectSpecification noSpec;

    public TableColumnNakedObjectMemberName(
            final NakedObjectSpecification noSpec,
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super("Name", session, nakedObject, resourceContext);
        this.noSpec = noSpec;
    }

    protected NakedObjectSpecification getNoSpec() {
        return noSpec;
    }
    
}
