package org.starobjects.restful.viewer.resources.objects.actions;

import nu.xom.Element;

import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.NakedObjectAction;
import org.starobjects.restful.viewer.html.HtmlClass;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnNakedObjectActionParamCount extends TableColumnNakedObjectAction {

    public TableColumnNakedObjectActionParamCount(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super("# Params", session, nakedObject, resourceContext);
    }

    @Override
    public Element doTd(final NakedObjectAction action) {
        return xhtmlRenderer.p("" + action.getParameterCount(), HtmlClass.ACTION);
    }

}
