package org.starobjects.restful.viewer.resources.objects.actions;

import java.text.MessageFormat;

import nu.xom.Element;

import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.NakedObjectAction;
import org.starobjects.restful.viewer.html.HtmlClass;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnNakedObjectActionRealTarget extends TableColumnNakedObjectAction {

    public TableColumnNakedObjectActionRealTarget(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super("Real Target", session, nakedObject, resourceContext);
    }

    @Override
    public Element doTd(final NakedObjectAction action) {
        String oidStrRealTarget = getOidStrRealTarget(action);
		final String uri = MessageFormat.format("{0}/object/{1}", getContextPath(), oidStrRealTarget);
        return new Element(xhtmlRenderer.aHref(uri, oidStrRealTarget, "actionRealTarget", "action", HtmlClass.ACTION));
    }


}
