if ($args.length -lt 1) {
  "usage: svncommit ""message"""
  exit 1
}


$message = $args[0]
$i = 0
do {
  $i++
  "************* Attempt ${i} **************** "
  $all_ok = $true
  dir | % {
    $file = $_
    svn info $file > $null
    if ( $? ) {
      svn commit -m "${message}" $file
      if (! $?) {
        $all_ok = $false
      }
    } else {
      "skipping $file"
    }
  }
} while ( ! $all_ok )

"Completed after ${i} attempts"
exit 0
