package org.starobjects.restful.viewer.resources.objects.actions;


import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.NakedObjectAction;
import org.starobjects.restful.viewer.resources.objects.TableColumnNakedObjectMember;
import org.starobjects.restful.viewer.xom.ResourceContext;


public abstract class TableColumnNakedObjectAction extends TableColumnNakedObjectMember<NakedObjectAction> {

    TableColumnNakedObjectAction(
            final String headerText,
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super(headerText, session, nakedObject, resourceContext);
    }

    protected final String getOidStrRealTarget(NakedObjectAction action) {
    	NakedObject realTarget = action.realTarget(getNakedObject());
    	return getOidStr(realTarget);
	}


}
