package org.starobjects.restful.viewer.resources.objects.actions;


import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.NakedObjectAction;
import org.starobjects.restful.viewer.resources.objects.TableColumnNakedObjectMemberInvalidReason;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnNakedObjectActionInvalidReason extends TableColumnNakedObjectMemberInvalidReason<NakedObjectAction> {

    public TableColumnNakedObjectActionInvalidReason(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super(session, nakedObject, resourceContext);
    }

    @Override
    protected String getDomId(final NakedObjectAction action) {
        return "action-invalid-" + action.getId();
    }

}
