package org.starobjects.restful.viewer.resources.objects.collections;


import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.OneToManyAssociation;
import org.starobjects.restful.viewer.resources.objects.TableColumnNakedObjectMemberInvalidReason;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnOneToManyAssociationInvalidReason extends
        TableColumnNakedObjectMemberInvalidReason<OneToManyAssociation> {

    public TableColumnOneToManyAssociationInvalidReason(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super(session, nakedObject, resourceContext);
    }

    @Override
    protected String getDomId(final OneToManyAssociation member) {
        return "collection-invalid-" + member.getId();
    }

}
