package org.starobjects.restful.viewer.resources.objects.properties;


import org.nakedobjects.metamodel.adapter.NakedObject;
import org.nakedobjects.metamodel.authentication.AuthenticationSession;
import org.nakedobjects.metamodel.spec.feature.OneToOneAssociation;
import org.starobjects.restful.viewer.resources.objects.TableColumnNakedObjectMemberInvalidReason;
import org.starobjects.restful.viewer.xom.ResourceContext;


public final class TableColumnOneToOneAssociationInvalidReason extends
        TableColumnNakedObjectMemberInvalidReason<OneToOneAssociation> {

    public TableColumnOneToOneAssociationInvalidReason(
            final AuthenticationSession session,
            final NakedObject nakedObject,
            final ResourceContext resourceContext) {
        super(session, nakedObject, resourceContext);
    }

    @Override
    protected String getDomId(final OneToOneAssociation member) {
        return "property-invalid-" + member.getId();
    }

}
